@import "../../../assets/scss/global";

.a-select-picker-wrapper {
    .a-select-picker {
        position: relative;
        height: 5rem;

        &[data-focus='true'] {
            .rs-dropdown {
                .rs-dropdown-toggle {
                    border-color: #7660FE;
                }
            }
        }
        &[data-active='true'] {
            label{
                top: 30%;
                left: 2px;
            
                color: #7660FE;
                font-size: 1.2rem;
                font-weight: 600;
            }
        }

        [class~="error"] {
            .rs-dropdown {
                .rs-dropdown-toggle {
                    border-color: #dd3a09;
                }
            }
        }

        label {
            position: absolute;
            top: 50%;
            left: 2px;
            z-index: 2;

            padding: 0 1.6rem;

            font-size: 1.4rem;
            font-weight: 500;

            transform: translateY(-50%);

            transition: top 0.1s;

            pointer-events: none;

            &.active {
                top: 30%;
                left: 2px;

                color: #7660FE;
                font-size: 1.2rem;
                font-weight: 600;
            }

            span {
                position: relative;
                z-index: 2;
            }
        }

        .a-select-picker__caret {
            position: absolute;
            top: 50%;
            right: 0.8rem;
            z-index: 3;

            width: 2.5rem;
            height: 2.5rem;

            object-fit: contain;
            object-position: center;

            transform: translateY(-50%);

            pointer-events: none;
        }

        .a-select-picker__dropdown {
            position: relative;
            z-index: 0;
            width: 100%;
            height: 100%;

            &.focus {
                [class~="rs-picker-toggle"] {
                    border-color: #7660FE;

                    input {
                        background-color: unset;
                        border: none;
                    }
                }
            }

            &.has-data {
                [class~="rs-picker-toggle"] {
                    display: flex;
                    align-items: center;

                    span {
                        font-weight: 500;
                        font-size: 15px;
                        line-height: 22px;
                        color: #000000;
                    }
                }
            }

            [class~="rs-picker-toggle"] {
                width: 100%;
                height: 100%;
                min-height: 5rem;
                padding-right: 3.2rem;
                padding-top: 2rem;
                padding-left: 16px;
                padding-bottom: 0;
                overflow: hidden;

                // background: #fff;
                border: 0.1rem solid #d5dee8;
                border-radius: 10px;
                color: #000000;
                font-weight: 500;
                font-size: 15px;
                line-height: 22px;
                box-shadow: none;

                text-align: left;
                text-overflow: ellipsis;
                white-space: nowrap;

                transition: all 0.1s;

                &:hover,
                &:active {
                    background: unset;
                }

                [class~='rs-picker-toggle-placeholder'] {
                    display: none;
                }
                svg {
                    top: 13px;
                }

            }

        }
    }

    &.error {
        .a-select-picker__dropdown {
            [class~="rs-picker-toggle"] {
                border-color: #F82626 !important;
                input {
                    background-color: unset;
                    border: none;
                }
            }
        }

        .feedback {
            color: #F82626;
            font-size: 10px;
            line-height: 18px;
            margin-left: 15px;
        }
    }
}

.menu-selected {
    padding: 10px !important;

    div[role="listbox"] {
        display: flex;
        flex-direction: column;
        gap: 5px;
    }

    div[role="option"] {
        box-shadow: none;

        &:hover:not(div[aria-selected="true"]) {
            span {
                background-color: $primary-color3;
                color: $primary-color2;
            }
        }

        span {
            border-radius: 10px;
            font-weight: 400;
            font-size: 13px;
            line-height: 22px;
            color: #000000;
        }
    }

    div[aria-selected="true"] {
        span {
            background-color: #F09B80;
        }
    }
}